using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace F88463
{
    public partial class Form1 : Form
    {
        int rowcount = 20;
        string[] dept ={ "CIVIL", "MECHANICAL", "EEE", "ECE", "IT", "CSE", "BIO-TECH", "AERO", "MARINE", "TEXTILE" };
        string[] year ={ "I", "II", "III", "IV", "III", "I", "IV", "II", "III", "I", "II", "III", "IV", "III", "I", "IV", "II", "II", "III", "IV" };

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.gridGroupingControl1.DataSource = CreateTable();
            this.gridGroupingControl1.TableDescriptor.Columns["Department"].Appearance.AnyRecordFieldCell.CellType = GridCellTypeName.GridListControl;
            this.gridGroupingControl1.TableDescriptor.Columns["Department"].Appearance.AnyRecordFieldCell.DataSource = listTable();
            this.gridGroupingControl1.TableDescriptor.Columns["Department"].Appearance.AnyRecordFieldCell.DisplayMember = "Dept";
            this.gridGroupingControl1.TableDescriptor.Columns["Department"].Appearance.AnyRecordFieldCell.ValueMember = "StudID";
        }

        #region GridGroupingControl Datasource
        private DataTable CreateTable()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("SNo");
            dt.Columns.Add("StudentID");
            dt.Columns.Add("Department");
            dt.Columns.Add("Year");
            dt.Columns.Add("Location");

            for (int i = 0; i < rowcount; i++)
            {
                DataRow dr = dt.NewRow();
                if ((i + 1) < 10)
                {
                    dr[0] = "0" + (i + 1).ToString();
                    dr[1] = "S" + "0" + (i + 1).ToString();
                }
                else
                {
                    dr[0] = (i + 1).ToString();
                    dr[1] = "S" + (i + 1).ToString();
                }
                dr[2] = "";
                dr[3] = year[i];
                dr[4] = "City";
                dt.Rows.Add(dr);
            }
            return dt;
        }
        #endregion

        private DataTable listTable()
        {
            DataTable dt1 = new DataTable();
            dt1.Columns.Add("StudID");
            dt1.Columns.Add("Dept");

            for (int i = 0; i < 10; i++)
            {
                DataRow dr = dt1.NewRow();
                dr[0] = (i + 1).ToString();
                dr[1] = dept[i];
                dt1.Rows.Add(dr);
            }
            return dt1;
        }
    }
}